View Issue Details

IDProjectCategoryView StatusLast Update
0022001mantisbtapi soappublic2017-10-28 19:14
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version1.2.0 
Target Version2.9.0Fixed in Version 
Summary0022001: FilterTest::testGetProjectClosedIssues should fail but does not
Description

The test verifies that mc_project_get_issues() works properly by comparing the number of issues returned before and after creating a new issue with closed status.

It currently (confirmed with 2.0.x/0c990fea7) succeeds despite the fact that closed issues are NOT returned by mc_project_get_issues() unless $g_hide_status_default == META_FILTER_NONE.

The reason for the false positive is that the test issue created in the unit test [1] is in fact NOT created with status 'closed'.

[1] https://github.com/mantisbt/mantisbt/blob/release-2.0.0-rc.2/tests/soap/FilterTest.php#L350

TagsNo tags attached.

Relationships

related to 0021996 feedback Service mc_project_get_issues not return closed issues 
related to 0010969 closedrombert The issue closed can not be found by mc_project_get_issues API? 

Activities

dregad

dregad

2016-12-01 12:00

developer   ~0054656

PR https://github.com/mantisbt/mantisbt/pull/965

Note that this will cause the PHPUnit tests to fail with default settings for $g_hide_status_default, until 0021996 has been fixed.

Issue History

Date Modified Username Field Change
2016-12-01 10:55 dregad New Issue
2016-12-01 11:38 dregad Relationship added related to 0021996
2016-12-01 11:39 dregad Relationship added related to 0010969
2016-12-01 12:00 dregad Assigned To => dregad
2016-12-01 12:00 dregad Status new => assigned
2016-12-01 12:00 dregad Note Added: 0054656
2016-12-01 12:00 dregad Target Version => 1.3.5
2016-12-30 16:24 atrol Target Version 1.3.5 => 1.3.6
2017-02-01 22:47 vboctor Target Version 1.3.6 => 1.3.7
2017-02-26 21:19 vboctor Target Version 1.3.7 => 2.3.0
2017-04-01 00:20 vboctor Target Version 2.3.0 => 2.4.0
2017-04-30 14:53 vboctoradmin Target Version 2.4.0 => 2.5.0
2017-06-04 16:19 atrol Target Version 2.5.0 => 2.6.0
2017-09-03 18:49 vboctor Target Version 2.6.0 => 2.7.0
2017-10-08 23:55 vboctor Target Version 2.7.0 => 2.8.0
2017-10-28 19:14 vboctor Target Version 2.8.0 => 2.9.0